namespace StoryEngine.Core.Filters
{
    public class EqualFilter : FilterBase
    {
        public override bool Execute(History history)
        {
            if (Left == null || Right == null)
                return false;
            return Left.Read(history) == Right.Read(history);
        }
    }
}